<html>

<head>
  <title>
    Imersão Dev - Atividade 09
  </title>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/4.1.1/animate.min.css" />
  <script src="//cdn.jsdelivr.net/npm/sweetalert2@10"></script>
  <script src="sweetalert2.all.min.js"></script>
  <!-- Optional: include a polyfill for ES6 Promises for IE11 -->
  <script src="//cdn.jsdelivr.net/npm/promise-polyfill@8/dist/polyfill.js"></script>
  <link rel="stylesheet" href="styles/main.css">
</head>

<body>
  <div class="container">
    <audio id="winnerPokemonAudio" src="https://pokemoncries.com/cries/25.mp3" type="audio/mpeg">
      Seu navegador não suporta o elemento audio.
    </audio>
    <img src="https://www.alura.com.br/assets/img/imersoes/dev-2021/logo-imersao-aluraflix.svg" class="page-logo"
      alt="">
    <h1 class="page-title">Super Trunfo Pokémon</h1>
    <div class="genrationsSelectors" id="genrationsSelectors">
      <h2>Gerações Presentes no Deque</h2>
      <input type="checkbox" checked id="first-gen" name="generation-checkboxes" value="first-gen"
        onchange="evalValidGeneration(this)">
      <label class="gen_label" for="first-gen">1ª</label>
      <input type="checkbox" id="second-gen" name="generation-checkboxes" value="second-gen"
        onchange="evalValidGeneration(this)">
      <label class="gen_label" for="second-gen">2ª</label>
      <input type="checkbox" id="third-gen" name="generation-checkboxes" value="third-gen"
        onchange="evalValidGeneration(this)">
      <label class="gen_label" for="third-gen">3ª</label>
      <input type="checkbox" id="fourth-gen" name="generation-checkboxes" value="fourth-gen"
        onchange="evalValidGeneration(this)">
      <label class="gen_label" for="fourth-gen">4ª</label>
      <input type="checkbox" id="fifth-gen" name="generation-checkboxes" value="fifth-gen"
        onchange="evalValidGeneration(this)">
      <label class="gen_label" for="fifth-gen">5ª</label>
      <input type="checkbox" id="sixty-gen" name="generation-checkboxes" value="sixty-gen"
        onchange="evalValidGeneration(this)">
      <label class="gen_label" for="sixty-gen">6ª</label>
      <input type="checkbox" id="seventh-gen" name="generation-checkboxes" value="seventh-gen"
        onchange="evalValidGeneration(this)">
      <label class="gen_label" for="seventh-gen">7ª</label>
      <input type="checkbox" id="eighth-gen" name="generation-checkboxes" value="eighth-gen"
        onchange="evalValidGeneration(this)">
      <label class="gen_label" for="eighth-gen">8ª</label>
    </div>
    <h2 id="deckHeightLbl">Cartas nos Deques => Jogador: 75 Máquina: 75 (Pilha Empates: 1)</h2>
    <h2 id="scoreboard">Rodada: 1 Vitórias: 0 Derrotas: 0 Empates: 0</h2>
    <div id="turnInfoContainer"></div>
    <form id="form">
      <div>
        <div class="cardsDiv" id="cardsDiv"></div>
        <button onclick="drawsACard()" id="drawsBtn" disabled>Comprar Carta</button>
        <button type="button" id="playBtn" onclick="play()" disabled>Jogar</button>
      </div>
      <button onclick="initRestartDeck()" id="restartBtn" disabled>Encerrar/Recomeçar Partida</button>
    </form>
  </div>
  <script src="scripts/app.js"></script>
</body>

</html>